Package ru.bitel.bgbilling.kernel.dynamic.common.bean

# Class DynamicClass

java.lang.Object
ru.bitel.bgbilling.kernel.dynamic.common.bean.DynamicClass

All Implemented Interfaces:
  `GuiTitlable`

    public class DynamicClass
    extends java.lang.Object
    implements GuiTitlable

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DynamicClass()` |
  `DynamicClass​(java.lang.String className, long lastModified)` |
  `DynamicClass​(java.lang.String className, long lastModified, java.lang.String resourceExt)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` |
  `java.lang.String` | `getClassName()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `long` | `getLastModified()` |
  `java.lang.String` | `getResourceExt()` | возвращает исходное расширение ресурса, либо "java" (если не задано) для исходников, учиывать, что если в имени файла есть точки, то расширение - всё что после первой, то есть никогда не расчиывать что при equals будет то что надо, нужно делать endsWith, например
  `static java.lang.String` | `getResourceExt​(java.lang.String className)` | Возвращает исходное расширение ресурса, либо "java" (если не задано) для исходников
  `static java.lang.String` | `getResourceFileSimpleName​(java.lang.String className)` | Возвращает "имя файла" ресурса, без пути, просто относительно его пакета.
  `java.lang.String` | `getResourceName()` | возвращает полное (с пакетом) имя ресурса без расширения (либо аналогично: просто имя класса как getClassName для исходников)
  `static java.lang.String` | `getResourceName​(java.lang.String className)` | Возвращает имя ресурса без расширения (либо аналогично: просто имя класса для исходников)
  `java.lang.String` | `getResourcePackageName()` | возвращает пакет этого класса (без конечной точки), для default будет пустая строка
  `static java.lang.String` | `getResourcePackageName​(java.lang.String className)` |
  `java.lang.String` | `getResourceSimpleName()` | возвращает краткое (без пакета) имя ресурса без расширения (для java это будет название класса)
  `static java.lang.String` | `getResourceSimpleName​(java.lang.String className)` | Возвращает краткое (без пакета) имя ресурса без расширения
  `int` | `hashCode()` |
  `boolean` | `isDeprecated()` |
  `boolean` | `isJavaSource()` | признак того, что это не класс, а ресурс (имя содержит расширение через ":")
  `static boolean` | `isJavaSource​(java.lang.String className)` | признак того, что это не класс, а ресурс (имя содержит расширение через ":")
  `boolean` | `isNeedsRecompile()` |
  `void` | `setClassName​(java.lang.String className)` |
  `void` | `setDeprecated​(boolean deprecated)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setLastModified​(long lastModified)` |
  `void` | `setNeedsRecompile​(boolean needsRecompile)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DynamicClass

    public DynamicClass()

  - ### DynamicClass

    public DynamicClass​(java.lang.String className, long lastModified)

  - ### DynamicClass

    public DynamicClass​(java.lang.String className, long lastModified, java.lang.String resourceExt)

- ## Method Details

  - ### getClassName

    public java.lang.String getClassName()

  - ### setClassName

    public void setClassName​(java.lang.String className)

  - ### getLastModified

    public long getLastModified()

  - ### setLastModified

    public void setLastModified​(long lastModified)

  - ### setNeedsRecompile

    public void setNeedsRecompile​(boolean needsRecompile)

  - ### isNeedsRecompile

    public boolean isNeedsRecompile()

  - ### isDeprecated

    public boolean isDeprecated()

  - ### setDeprecated

    public void setDeprecated​(boolean deprecated)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### isJavaSource

    public boolean isJavaSource()
    признак того, что это не класс, а ресурс (имя содержит расширение через ":")

  - ### getResourceExt

    public java.lang.String getResourceExt()
    возвращает исходное расширение ресурса, либо "java" (если не задано) для исходников, учиывать, что если в имени файла есть точки, то расширение - всё что после первой, то есть никогда не расчиывать что при equals будет то что надо, нужно делать endsWith, например

  - ### getResourceName

    public java.lang.String getResourceName()
    возвращает полное (с пакетом) имя ресурса без расширения (либо аналогично: просто имя класса как getClassName для исходников)

  - ### getResourceSimpleName

    public java.lang.String getResourceSimpleName()
    возвращает краткое (без пакета) имя ресурса без расширения (для java это будет название класса)

  - ### getResourcePackageName

    public java.lang.String getResourcePackageName()
    возвращает пакет этого класса (без конечной точки), для default будет пустая строка

  - ### isJavaSource

    public static boolean isJavaSource​(java.lang.String className)
    признак того, что это не класс, а ресурс (имя содержит расширение через ":")
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      true - если это java-класс, а не ресурс (с ":")

  - ### getResourceExt

    public static java.lang.String getResourceExt​(java.lang.String className)
    Возвращает исходное расширение ресурса, либо "java" (если не задано) для исходников
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      настоящее расширение ресурса.

  - ### getResourceName

    public static java.lang.String getResourceName​(java.lang.String className)
    Возвращает имя ресурса без расширения (либо аналогично: просто имя класса для исходников)
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      настоящее имя ресурса-без-расширения/имя класса.

  - ### getResourceSimpleName

    public static java.lang.String getResourceSimpleName​(java.lang.String className)
    Возвращает краткое (без пакета) имя ресурса без расширения

  - ### getResourcePackageName

    public static java.lang.String getResourcePackageName​(java.lang.String className)

  - ### getResourceFileSimpleName

    public static java.lang.String getResourceFileSimpleName​(java.lang.String className)
    Возвращает "имя файла" ресурса, без пути, просто относительно его пакета. Для классов это будет "ClassName.java", для ресурсов "report.rep.xml"
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      "имя файла"

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `java.lang.Object`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Overrides:
      `equals` in class `java.lang.Object`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.